<?php
/**
 * ------------------------------------------------------------------------
 * JA Insight Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2018 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;

// get params
$sitename  = $this->params->get('sitename');
$slogan    = $this->params->get('slogan', '');
$logotype  = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', T3Path::getUrl('images/logo.png', '', true)) : '';
$logoimgsm = ($logotype == 'image' && $this->params->get('enable_logoimage_sm', 0)) ? $this->params->get('logoimage_sm', T3Path::getUrl('images/logo-sm.png', '', true)) : false;

if (!$sitename) {
	$sitename = JFactory::getConfig()->get('sitename');
}

$headright = $this->countModules('languageswitcherload or head-right');


?>

<!-- HEADER -->
<div class="wrap t3-header-wrap" >
	<header id="t3-header">
		<div class="t3-header container">
			<div class="row">

				<!-- LOGO -->
				<div class="col-xs-3 col-sm-5 col-md-1 col-lg-1 logo">
					<div class="logo-<?php echo $logotype, ($logoimgsm ? ' logo-control' : '') ?>">
						<a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
							<?php if($logotype == 'image'): ?>
								<img class="logo-img" src="<?php echo JURI::base(true) . '/' . $logoimage ?>" alt="<?php echo strip_tags($sitename) ?>" />
							<?php endif ?>
							<?php if($logoimgsm) : ?>
								<img class="logo-img-sm" src="<?php echo JURI::base(true) . '/' . $logoimgsm ?>" alt="<?php echo strip_tags($sitename) ?>" />
							<?php endif ?>
							<span><?php echo $sitename ?></span>
						</a>
						<small class="site-slogan"><?php echo $slogan ?></small>
					</div>
				</div>
				<!-- //LOGO -->

				<!-- MAIN NAVIGATION -->
				<nav id="t3-mainnav" class="col-xs-1 col-sm-1 col-md-9 col-lg-8 navbar navbar-default t3-mainnav">
					
						<?php if ($this->getParam('navigation_collapse_enable')) : ?>
							<div class="t3-navbar-collapse navbar-collapse collapse"></div>
						<?php endif ?>

						<div class="t3-navbar navbar-collapse collapse">
							<jdoc:include type="<?php echo $this->getParam('navigation_type', 'megamenu') ?>" name="<?php echo $this->getParam('mm_type', 'mainmenu') ?>" />
						</div>
				</nav>
				<!-- //MAIN NAVIGATION -->

				<?php if ($headright || $this->getParam('addon_offcanvas_enable')): ?>
					<div class="col-xs-8 col-sm-6 col-md-2 col-lg-3 head-actions pull-right">
							<!-- HEAD RIGHT -->
							<div class="head-right <?php $this->_c('head-right') ?>">
								<div class="hidden-xs hidden-sm hidden-md menu-right">
									<jdoc:include type="modules" name="<?php $this->_p('head-right') ?>" style="raw" />
								</div>

								<!-- Brand and toggle get grouped for better mobile display -->
								<div class="navbar-header">
								
									<?php if ($this->getParam('navigation_collapse_enable', 1) && $this->getParam('responsive', 1)) : ?>
										<?php $this->addScript(T3_URL.'/js/nav-collapse.js'); ?>
										<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".t3-navbar-collapse" aria-label="navbar-toggle">
											<span class="fa fa-bars"></span>
										</button>
									<?php endif ?>
								</div>
								
								<?php if ($this->getParam('addon_offcanvas_enable')) : ?>
									<div class="off-canvas">
										<?php $this->loadBlock ('off-canvas') ?>
									</div>
								<?php endif ?>

								<?php if ($this->countModules('languageswitcherload')) : ?>
									<!-- LANGUAGE SWITCHER -->
									<div class="languageswitcherload pull-right">
										<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
									</div>
									<!-- //LANGUAGE SWITCHER -->
								<?php endif ?> 
							</div>
							<!-- //HEAD RIGHT -->
					</div>
				<?php endif ?>

			</div>
		</div>
	</header>
</div>
<!-- //HEADER -->
